import UIAbility from "@ohos:app.ability.UIAbility";
import type AbilityConstant from "@ohos:app.ability.AbilityConstant";
import type Want from "@ohos:app.ability.Want";
import hilog from "@ohos:hilog";
import type window from "@ohos:window";
import Logger from "@bundle:com.example.setappfontsize1/entry/ets/common/utils/Logger";
import PreferencesUtil from "@bundle:com.example.setappfontsize1/entry/ets/common/database/PreferencesUtil";
import { GlobalContext } from "@bundle:com.example.setappfontsize1/entry/ets/common/utils/GlobalContext";
import CommonConstants from "@bundle:com.example.setappfontsize1/entry/ets/common/constants/CommonConstants";
const TAG = '[entryAbility]';
export default class EntryAbility extends UIAbility {
    onCreate(want: Want, launchParam: AbilityConstant.LaunchParam): void {
        Logger.info(TAG, 'onCreate');
        GlobalContext.getContext().setObject('abilityWant', want);
        PreferencesUtil.createFontPreferences(this.context);
        Logger.info(TAG, PreferencesUtil.getChangeFontSize().toString());
        // 设置字体默认大小
        PreferencesUtil.saveDefaultFontSize(CommonConstants.SET_SIZE_NORMAL);
    }
    onDestroy(): void {
        hilog.info(0x0000, 'testTag', '%{public}s', 'Ability onDestroy');
    }
    onWindowStageCreate(windowStage: window.WindowStage): void {
        // Main window is created, set main page for this ability
        hilog.info(0x0000, 'testTag', '%{public}s', 'Ability onWindowStageCreate');
        windowStage.loadContent('pages/HomePage', (err) => {
            if (err.code) {
                hilog.error(0x0000, 'testTag', 'Failed to load the content. Cause: %{public}s', JSON.stringify(err) ?? '');
                return;
            }
            hilog.info(0x0000, 'testTag', 'Succeeded in loading the content.');
        });
    }
    onWindowStageDestroy(): void {
        // Main window is destroyed, release UI related resources
        hilog.info(0x0000, 'testTag', '%{public}s', 'Ability onWindowStageDestroy');
    }
    onForeground(): void {
        // Ability has brought to foreground
        hilog.info(0x0000, 'testTag', '%{public}s', 'Ability onForeground');
    }
    onBackground(): void {
        // Ability has back to background
        hilog.info(0x0000, 'testTag', '%{public}s', 'Ability onBackground');
    }
}
