if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface SliderExample_Params {
    contentArr?: ChatData[];
    fontSizeText?: Resource;
    changeFontSize?: number;
}
import PreferencesUtil from "@bundle:com.example.setappfontsize1/entry/ets/common/database/PreferencesUtil";
import Logger from "@bundle:com.example.setappfontsize1/entry/ets/common/utils/Logger";
import type ChatData from '../viewmodel/ChatData';
import SetViewModel from "@bundle:com.example.setappfontsize1/entry/ets/viewmodel/SetViewModel";
import TitleBarComponent from "@bundle:com.example.setappfontsize1/entry/ets/view/TitileBarComponent";
import ChatListComponent from "@bundle:com.example.setappfontsize1/entry/ets/view/ChatListComponent";
import StyleConstants from "@bundle:com.example.setappfontsize1/entry/ets/common/constants/StyleConstants";
import SliderLayoutComponent from "@bundle:com.example.setappfontsize1/entry/ets/view/SliderLayoutComponent";
const TAG = '[SetFontSizePage]';
class SliderExample extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.__contentArr = new ObservedPropertyObjectPU(SetViewModel.initChatData(), this, "contentArr");
        this.__fontSizeText = new ObservedPropertyObjectPU({ "id": 16777228, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" }, this, "fontSizeText");
        this.__changeFontSize = new ObservedPropertySimplePU(0, this, "changeFontSize");
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: SliderExample_Params) {
        if (params.contentArr !== undefined) {
            this.contentArr = params.contentArr;
        }
        if (params.fontSizeText !== undefined) {
            this.fontSizeText = params.fontSizeText;
        }
        if (params.changeFontSize !== undefined) {
            this.changeFontSize = params.changeFontSize;
        }
    }
    updateStateVars(params: SliderExample_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
        this.__contentArr.purgeDependencyOnElmtId(rmElmtId);
        this.__fontSizeText.purgeDependencyOnElmtId(rmElmtId);
        this.__changeFontSize.purgeDependencyOnElmtId(rmElmtId);
    }
    aboutToBeDeleted() {
        this.__contentArr.aboutToBeDeleted();
        this.__fontSizeText.aboutToBeDeleted();
        this.__changeFontSize.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    private __contentArr: ObservedPropertyObjectPU<ChatData[]>;
    get contentArr() {
        return this.__contentArr.get();
    }
    set contentArr(newValue: ChatData[]) {
        this.__contentArr.set(newValue);
    }
    private __fontSizeText: ObservedPropertyObjectPU<Resource>;
    get fontSizeText() {
        return this.__fontSizeText.get();
    }
    set fontSizeText(newValue: Resource) {
        this.__fontSizeText.set(newValue);
    }
    private __changeFontSize: ObservedPropertySimplePU<number>;
    get changeFontSize() {
        return this.__changeFontSize.get();
    }
    set changeFontSize(newValue: number) {
        this.__changeFontSize.set(newValue);
    }
    onPageShow(): void {
        PreferencesUtil.getChangeFontSize().then((value) => {
            Logger.info(TAG, value.toString());
            this.changeFontSize = value;
            this.fontSizeText = SetViewModel.getTextByFontSize(value);
            Logger.info(TAG, 'Get the value of changeFontSize: ' + this.changeFontSize);
        });
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
            Column.width(StyleConstants.FULL_WIDTH);
            Column.height(StyleConstants.FULL_HEIGHT);
            Column.backgroundColor({ "id": 125829132, "type": 10001, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
        }, Column);
        {
            this.observeComponentCreation2((elmtId, isInitialRender) => {
                if (isInitialRender) {
                    let componentCall = new TitleBarComponent(this, { title: { "id": 16777247, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" } }, undefined, elmtId, () => { }, { page: "entry/src/main/ets/pages/Index.ets", line: 33 });
                    ViewPU.create(componentCall);
                    let paramsLambda = () => {
                        return {
                            title: { "id": 16777247, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" }
                        };
                    };
                    componentCall.paramsGenerator_ = paramsLambda;
                }
                else {
                    this.updateStateVarsOfChildByElmtId(elmtId, {});
                }
            }, { name: "TitleBarComponent" });
        }
        {
            this.observeComponentCreation2((elmtId, isInitialRender) => {
                if (isInitialRender) {
                    let componentCall = new ChatListComponent(this, { tag: TAG, contentArr: this.contentArr, changeFontSize: this.changeFontSize }, undefined, elmtId, () => { }, { page: "entry/src/main/ets/pages/Index.ets", line: 35 });
                    ViewPU.create(componentCall);
                    let paramsLambda = () => {
                        return {
                            tag: TAG,
                            contentArr: this.contentArr,
                            changeFontSize: this.changeFontSize
                        };
                    };
                    componentCall.paramsGenerator_ = paramsLambda;
                }
                else {
                    this.updateStateVarsOfChildByElmtId(elmtId, {
                        contentArr: this.contentArr, changeFontSize: this.changeFontSize
                    });
                }
            }, { name: "ChatListComponent" });
        }
        {
            this.observeComponentCreation2((elmtId, isInitialRender) => {
                if (isInitialRender) {
                    let componentCall = new SliderLayoutComponent(this, {
                        fontSizeText: this.__fontSizeText,
                        changeFontSize: this.__changeFontSize,
                        tag: TAG
                    }, undefined, elmtId, () => { }, { page: "entry/src/main/ets/pages/Index.ets", line: 37 });
                    ViewPU.create(componentCall);
                    let paramsLambda = () => {
                        return {
                            fontSizeText: this.fontSizeText,
                            changeFontSize: this.changeFontSize,
                            tag: TAG
                        };
                    };
                    componentCall.paramsGenerator_ = paramsLambda;
                }
                else {
                    this.updateStateVarsOfChildByElmtId(elmtId, {
                        tag: TAG
                    });
                }
            }, { name: "SliderLayoutComponent" });
        }
        Column.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "SliderExample";
    }
}
registerNamedRoute(() => new SliderExample(undefined, {}), "", { bundleName: "com.example.setappfontsize1", moduleName: "entry", pagePath: "pages/Index", pageFullPath: "entry/src/main/ets/pages/Index", integratedHsp: "false" });
