if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface SliderLayout_Params {
    fontSizeText?: Resource;
    changeFontSize?: number;
    tag?: string;
}
import CommonConstants from "@bundle:com.example.setappfontsize1/entry/ets/common/constants/CommonConstants";
import StyleConstants from "@bundle:com.example.setappfontsize1/entry/ets/common/constants/StyleConstants";
import PreferencesUtil from "@bundle:com.example.setappfontsize1/entry/ets/common/database/PreferencesUtil";
import Logger from "@bundle:com.example.setappfontsize1/entry/ets/common/utils/Logger";
import SetViewModel from "@bundle:com.example.setappfontsize1/entry/ets/viewmodel/SetViewModel";
export default class SliderLayout extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.__fontSizeText = new SynchedPropertyObjectTwoWayPU(params.fontSizeText, this, "fontSizeText");
        this.__changeFontSize = new SynchedPropertySimpleTwoWayPU(params.changeFontSize, this, "changeFontSize");
        this.__tag = new SynchedPropertySimpleOneWayPU(params.tag, this, "tag");
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: SliderLayout_Params) {
        if (params.tag === undefined) {
            this.__tag.set('');
        }
    }
    updateStateVars(params: SliderLayout_Params) {
        this.__tag.reset(params.tag);
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
        this.__fontSizeText.purgeDependencyOnElmtId(rmElmtId);
        this.__changeFontSize.purgeDependencyOnElmtId(rmElmtId);
        this.__tag.purgeDependencyOnElmtId(rmElmtId);
    }
    aboutToBeDeleted() {
        this.__fontSizeText.aboutToBeDeleted();
        this.__changeFontSize.aboutToBeDeleted();
        this.__tag.aboutToBeDeleted();
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    private __fontSizeText: SynchedPropertySimpleOneWayPU<Resource>;
    get fontSizeText() {
        return this.__fontSizeText.get();
    }
    set fontSizeText(newValue: Resource) {
        this.__fontSizeText.set(newValue);
    }
    private __changeFontSize: SynchedPropertySimpleTwoWayPU<number>;
    get changeFontSize() {
        return this.__changeFontSize.get();
    }
    set changeFontSize(newValue: number) {
        this.__changeFontSize.set(newValue);
    }
    private __tag: SynchedPropertySimpleOneWayPU<string>;
    get tag() {
        return this.__tag.get();
    }
    set tag(newValue: string) {
        this.__tag.set(newValue);
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
            Column.alignItems(HorizontalAlign.Start);
            Column.justifyContent(FlexAlign.End);
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create({ "id": 16777230, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontSize({ "id": 16777267, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontColor({ "id": 16777283, "type": 10001, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.margin({
                left: StyleConstants.SLIDER_HORIZONTAL_MARGIN_PERCENT,
                top: StyleConstants.SLIDER_TOP_MARGIN_PERCENT
            });
            Text.fontWeight(FontWeight.Medium);
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Column.create();
            Column.backgroundColor(Color.White);
            Column.borderRadius({ "id": 16777260, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Column.width(StyleConstants.BLOCK_WIDTH_PERCENT);
            Column.padding({
                top: { "id": 16777275, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" },
                bottom: { "id": 16777274, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" }
            });
            Column.margin({
                left: StyleConstants.SLIDER_HORIZONTAL_MARGIN_PERCENT,
                right: StyleConstants.SLIDER_HORIZONTAL_MARGIN_PERCENT,
                top: StyleConstants.SLIDER_TOP_MARGIN_PERCENT,
                bottom: StyleConstants.SLIDER_TOP_MARGIN_PERCENT
            });
        }, Column);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create(this.fontSizeText);
            Text.fontSize({ "id": 16777267, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontColor({ "id": 16777283, "type": 10001, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Row.create();
        }, Row);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create({ "id": 16777229, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontColor({ "id": 16777283, "type": 10001, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontSize({ "id": 16777266, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontWeight(FontWeight.Medium);
            Text.textAlign(TextAlign.End);
            Text.width(StyleConstants.A_WIDTH_PERCENT);
            Text.padding({ right: { "id": 16777259, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" } });
        }, Text);
        Text.pop();
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Slider.create({
                value: this.changeFontSize === CommonConstants.SET_SIZE_HUGE ? CommonConstants.SET_SLIDER_MAX :
                    this.changeFontSize,
                min: CommonConstants.SET_SLIDER_MIN,
                max: CommonConstants.SET_SLIDER_MAX,
                step: CommonConstants.SET_SLIDER_STEP,
                style: SliderStyle.InSet
            });
            Slider.showSteps(true);
            Slider.width(StyleConstants.SLIDER_WIDTH_PERCENT);
            Slider.onChange(async (value: number, mode: SliderChangeMode) => {
                if (this.changeFontSize === 0) {
                    this.changeFontSize = await PreferencesUtil.getChangeFontSize();
                    this.fontSizeText = SetViewModel.getTextByFontSize(value);
                    return;
                }
                this.changeFontSize = value === CommonConstants.SET_SLIDER_MAX ? CommonConstants.SET_SIZE_HUGE : value;
                this.fontSizeText = SetViewModel.getTextByFontSize(this.changeFontSize);
                Logger.info(this.tag, this.changeFontSize.toString());
                PreferencesUtil.saveChangeFontSize(this.changeFontSize);
            });
        }, Slider);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Text.create({ "id": 16777229, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontColor({ "id": 16777283, "type": 10001, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontSize({ "id": 16777262, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" });
            Text.fontWeight(FontWeight.Bold);
            Text.width(StyleConstants.A_WIDTH_PERCENT);
            Text.padding({ left: { "id": 16777258, "type": 10002, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" } });
        }, Text);
        Text.pop();
        Row.pop();
        Column.pop();
        Column.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
}
