import CommonConstants from "@bundle:com.example.setappfontsize1/entry/ets/common/constants/CommonConstants";
import ChatData from "@bundle:com.example.setappfontsize1/entry/ets/viewmodel/ChatData";
import { ItemDirection } from "@bundle:com.example.setappfontsize1/entry/ets/viewmodel/ItemDirection";
/**
 * Set view model, providing page display data.
 */
export class SetViewModel {
    chatArr: ChatData[] = [];
    initChatData(): ChatData[] {
        if (this.chatArr.length === 0) {
            let contentList = [
                { "id": 16777243, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" },
                { "id": 16777244, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" },
                { "id": 16777245, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" },
                { "id": 16777246, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" }
            ];
            contentList.map((content, index) => {
                let chatData = new ChatData();
                chatData.itemDirection = index % 2 === 1 ? ItemDirection.LEFT : ItemDirection.RIGHT;
                chatData.content = content;
                this.chatArr.push(chatData);
            });
        }
        return this.chatArr;
    }
    getTextByFontSize(fontSize: number) {
        let fontSizeText: Resource | string = '';
        switch (fontSize) {
            case CommonConstants.SET_SIZE_SMALL:
                fontSizeText = { "id": 16777234, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
                break;
            case CommonConstants.SET_SIZE_NORMAL:
                fontSizeText = { "id": 16777228, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
                break;
            case CommonConstants.SET_SIZE_LARGE:
                fontSizeText = { "id": 16777233, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
                break;
            case CommonConstants.SET_SIZE_EXTRA_LARGE:
                fontSizeText = { "id": 16777231, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
                break;
            case CommonConstants.SET_SIZE_HUGE:
                fontSizeText = { "id": 16777232, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
                break;
            default:
                fontSizeText = { "id": 16777228, "type": 10003, params: [], "bundleName": "com.example.setappfontsize1", "moduleName": "entry" };
        }
        return fontSizeText;
    }
}
export default new SetViewModel();
